%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
%global realname httpserver

Name:             jboss-%{realname}
Version:          1.0.0
Release:          3%{?dist}
Summary:          JBoss httpserver
Group:            Development/Libraries
License:          GPLv2 and GPLv2 with exceptions
URL:              https://github.com/jbossas/httpserver

# git clone git://github.com/jbossas/httpserver.git
# cd httpserver/ && git archive --format=tar --prefix=jboss-httpserver-1.0.0.Final/ 1.0.0.Final | xz > jboss-httpserver-1.0.0.Final.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    junit4
BuildRequires:    jboss-parent

Requires:         jpackage-utils
Requires:         java

%description
This package contains JBoss httpserver

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 target/%{realname}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-3
- Fixed BR

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 23 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Upstream release 1.0.0.Final
- Relocated jars to _javadir

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.4.Beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 07 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-0.3.Beta3
- Upstream release 1.0.0.Beta3

* Thu Aug 11 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-0.2.Beta1
- Package renamed to jboss-httpserver

* Thu Aug 11 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-0.1.Beta1
- Initial packaging

